For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
  • ElevenCreative
      • Studio API information
      • GETList Studio Projects
      • POSTUpdate Studio Project
      • GETGet Studio Project
      • POSTCreate Studio Project
      • DELDelete Studio Project
      • POSTConvert Studio Project
      • POSTUpdate Studio Project Content
      • GETList Studio Project Snapshots
      • GETGet Project Muted Tracks
      • STREAMStream Studio Project Audio
      • POSTStream Archive With Studio Project Audio
      • GETList Chapters
      • GETGet Chapter
      • POSTCreate Chapter
      • POSTUpdate Chapter
      • DELDelete Chapter
      • POSTConvert Chapter
      • GETList Chapter Snapshots
      • STREAMStream Chapter Audio
      • POSTCreate Pronunciation Dictionaries
      • POSTCreate Podcast
      • GETGet Chapter Snapshot
      • GETGet Project Snapshot
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenCreativeStudio

Get Studio Project

GET
/v1/studio/projects/:project_id
GET
/v1/studio/projects/:project_id
$curl https://api.elevenlabs.io/v1/studio/projects/project_id
1{
2 "project_id": "aw1NgEzBg83R7vgmiJt6",
3 "name": "My Project",
4 "create_date_unix": 1714204800,
5 "created_by_user_id": "Vbtgl3bRdj6lk79rYAgx",
6 "default_title_voice_id": "JBFqnCBsd6RMkjVDRZzb",
7 "default_paragraph_voice_id": "JBFqnCBsd6RMkjVDRZzb",
8 "default_model_id": "eleven_multilingual_v2",
9 "can_be_downloaded": true,
10 "volume_normalization": true,
11 "state": "default",
12 "access_level": "viewer",
13 "quality_preset": "standard",
14 "chapters": [
15 {
16 "chapter_id": "aw1NgEzBg83R7vgmiJt6",
17 "name": "Chapter 1",
18 "can_be_downloaded": true,
19 "state": "converting",
20 "last_conversion_date_unix": 1714204800,
21 "conversion_progress": 0.5,
22 "statistics": {
23 "characters_unconverted": 1000,
24 "characters_converted": 500,
25 "paragraphs_converted": 20,
26 "paragraphs_unconverted": 10,
27 "credits_needed_to_convert": 1000,
28 "voice_statistics": [
29 {
30 "voice_id": "voice123",
31 "characters_unconverted": 600,
32 "characters_converted": 300
33 },
34 {
35 "voice_id": "voice456",
36 "characters_unconverted": 400,
37 "characters_converted": 200
38 }
39 ]
40 },
41 "last_conversion_error": "Error message"
42 }
43 ],
44 "pronunciation_dictionary_versions": [],
45 "pronunciation_dictionary_locators": [],
46 "apply_text_normalization": "auto",
47 "assets": [],
48 "voices": [],
49 "quality_check_on": false,
50 "quality_check_on_when_bulk_convert": false,
51 "last_conversion_date_unix": 1714204800,
52 "title": "My Project",
53 "author": "John Doe",
54 "description": "This is a description of my project.",
55 "genres": [
56 "Novel",
57 "Short Story"
58 ],
59 "cover_image_url": "https://example.com/cover.jpg",
60 "target_audience": "young adult",
61 "language": "en",
62 "content_type": "Novel",
63 "original_publication_date": "2025-01-01",
64 "mature_content": false,
65 "isbn_number": "978-90-274-3964-2",
66 "fiction": "fiction",
67 "creation_meta": {
68 "creation_progress": 0.5,
69 "status": "pending",
70 "type": "blank"
71 },
72 "public_share_id": "abc123def456789",
73 "experimental": {},
74 "base_voices": []
75}

Returns information about a specific Studio project. This endpoint returns more detailed information about a project than GET /v1/studio.

Was this page helpful?
Previous

Create Studio Project

Next
Built with

Path parameters

project_idstringRequired

The ID of the project to be used. You can use the List projects endpoint to list all the available projects.

Headers

xi-api-keystringOptional

Query parameters

share_idstring or nullOptional
The share ID of the project

Response

Successful Response
project_idstring
The ID of the project.
namestring
The name of the project.
create_date_unixinteger
The creation date of the project.
created_by_user_idstring or null
The user ID who created the project.
default_title_voice_idstring
The default title voice ID.
default_paragraph_voice_idstring
The default paragraph voice ID.
default_model_idstring
The default model ID.
can_be_downloadedboolean
Whether the project can be downloaded.
volume_normalizationboolean
Whether the project uses volume normalization.
stateenum
The state of the project.
Allowed values:
access_levelenum
The access level of the project.
Allowed values:
quality_presetenumDefaults to standard
The quality preset level of the project.
Allowed values:
chapterslist of objects
List of chapters of the project and their metadata.
pronunciation_dictionary_versionslist of objects
List of pronunciation dictionary versions of the project and their metadata.
pronunciation_dictionary_locatorslist of objects
List of pronunciation dictionary locators.
apply_text_normalizationenum
Whether text normalization is applied to the project.
Allowed values:
assetslist of objects
List of uploaded assets e.g. videos, audios.
voiceslist of objects
List of configured project voices.
quality_check_onbooleanDeprecated
Whether quality check is enabled for this project.
quality_check_on_when_bulk_convertbooleanDeprecated
Whether quality check is enabled on the project when bulk converting.
last_conversion_date_unixinteger or null
The last conversion date of the project.
titlestring or null
The title of the project.
authorstring or null
The author of the project.
descriptionstring or null
The description of the project.
genreslist of strings or null
List of genres of the project.
cover_image_urlstring or null
The cover image URL of the project.
target_audienceenum or null
The target audience of the project.
Allowed values:
languagestring or null

Two-letter language code (ISO 639-1) of the language of the project.

content_typestring or null
The content type of the project, e.g. 'Novel' or 'Short Story'
original_publication_datestring or null
The original publication date of the project.
mature_contentboolean or null
Whether the project contains mature content.
isbn_numberstring or null
The ISBN number of the project.
fictionenum or null
Whether the project is fiction.
Allowed values:
creation_metaobject or null
The creation meta of the project.
source_typeenum or null
The source type of the project.
chapters_enabledboolean or nullDefaults to true
Whether chapters are enabled for the project.
captions_enabledboolean or nullDefaults to true
Whether captions are enabled for the project.
caption_styleobject or null
Global styling to be applied to all captions
caption_style_template_overridesmap from strings to objects or null
Styling changes that have been made to the provided templates
public_share_idstring or null
The public share ID of the project.
aspect_ratioenum or null
The aspect ratio of the project.
Allowed values:
agent_settingsobject or null

Agent-related settings for the project

experimentalmap from strings to any
Experimental features for the project.
base_voiceslist of objects or null
List of voices used by the project.
publishing_readobject or null
The ElevenReader data if the book was published.

Errors

422
Unprocessable Entity Error